<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Oeffentlich\AccessDenied;

class AccessDeniedUseCase extends \Kufer\Web\KuferTools\Basis\UseCase\UseCase
{
  public function __construct($request)
  {
    parent::__construct($request, new AccessDeniedResponse());
  }

  public function hasAccess($pToolSectionId = null)
  {
    return true;
  }

  public function action()
  {
    return $this->response;
  }
}

class AccessDeniedRequest
{
}

class AccessDeniedResponse extends \Kufer\Web\KuferTools\Basis\UseCase\BasisResponse
{
}